#
# spec file for package python-d2to1
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-d2to1
Version:        0.2.12.post1
Release:        bp155.2.11
Summary:        Allows using distutils2-like setup.cfg with a distribute/setuptools
License:        BSD-3-Clause
URL:            https://pypi.python.org/pypi/d2to1
Source0:        https://files.pythonhosted.org/packages/source/d/d2to1/d2to1-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
d2to1 (the 'd' is for 'distutils') allows using distutils2-like setup.cfg
files for a package's metadata with a distribute/setuptools setup.py script.
It works by providing a distutils2-formatted setup.cfg file containing all of
a package's metadata, and a very minimal setup.py which will slurp its arguments from the setup.cfg.

%prep
%setup -q -n d2to1-%{version}
rm -rf d2to1.egg-info

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%license LICENSE
%doc CHANGES.rst README.rst
%{python_sitelib}/d2to1/
%{python_sitelib}/d2to1-%{version}-py%{python_version}.egg-info

%changelog
* Sat Mar 14 2020 Tomáš Chvátal <tchvatal@suse.com>
- Fix build without python2
* Fri Sep 13 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.2.21.post1:
  * no obvious changelog
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Fri Jul 14 2017 aloisio@gmx.com
- Removed %%check (no actual tests to run)
- Converted to singlespec
* Wed Mar 16 2016 antoine.belvire@laposte.net
- Update to 0.2.12:
  + Fixed a corner case where depending on the order of events when
    installing multiple packages (i.e. when installing packages
    with dependencies, some of which might also use d2to1) would
    end up calling the incorrect Distribution class (the patched
    version from setuptools, where d2to1 needs to get to the
    unpatched version from distutils for some cases).
  + Upgraded bundled copy of the six module to the current version
    (1.9.0). This fixes incompatibility between d2to1 and other
    packages that import different versions of six during their
    setup (the older version of six had a habit of fighting with
    other six instances over sys.modules, which is fixed in newer
    versions).
  + Upgraded to latest ez_setup.py so that the most up to date
    version of setuptools will be correctly bootstrapped in the
    rare cases that it is needed.
  + Included some miscellaneous hacks to keep d2to1 working,
    nominally, with Python 2.5 despite the broad move away from
    Python 2.5 support in the Python community. The d2to1 v0.2.x
    releases will be the last to continue Python 2.5 support,
    given that testing it has become more difficult (and the
    overhead is probably no longer worth it).
* Thu Nov  7 2013 speilicke@suse.com
- Fix changes format of first entry from local timezone (UTC+4) to UTC
* Mon Sep 16 2013 speilicke@suse.com
- Update to version 0.2.11
  + Replaced distribute_setup.py with ez_setup.py in order to bootstrap
    with modern setuptools when necessary.
  + Fixed a couple minor Python 3-specific issues. In particular the
    data_files option could be passed to setup() as a dict_items
    object instead of a list which is what would normally be expected.
  + Added a tox.ini (frankly I thought there already was one).
- Switch back to setuptools after distribute merge
* Tue Jun 18 2013 speilicke@suse.com
- Fix changelog, cleanup spec-file
- Run testsuite
* Thu May  9 2013 matwey.kornilov@gmail.com
- Update to version 0.2.10:
  + Added support for the seutp-requires-dist option in the [metadata]
    section of setup.cfg.  This is analogous to the Setup-Requires-Dist metadata
    field supported by PEP-426 and uses the setup_requires argument to
    setuptools' setup() to implement it.
  + Added support for the dependency_links and include_package_data
    arguments to setuptools' setup() in the [backwards_compat] section of
    setup.cfg.
  + When a setup_hook calls sys.exit() don't show a traceback for the
    SystemExit exception.
  + Fixed a bug in the exception formatting when exceptions occur in setup.cfg
    handling.
* Tue Aug 21 2012 highwaystar.ru@gmail.com
- update to new release 0.2.7
- python3 package added
- spec improved
* Thu Nov  3 2011 matwey.kornilov@gmail.com
- initial version
